Please make sure that these boxes are checked before submitting a new pull request -- thank you!

- [ ] Create and check out a new topic branch
- [ ] Implement the new feature or apply the bug-fix
- [ ] Add appropriate unit test functions in the `./mlxtend/*/tests` directories
- [ ] Run `nosetests ./mlxtend -sv` and make sure that all unit tests pass
- [ ] Check/improve the test coverage by running `nosetests ./mlxtend --with-coverage`
- [ ] Check for style issues by running `flake8 ./mlxtend` (you may want to run nosetests again after you made modifications to the code)
- [ ] Add a note about the modification or contribution to the `./docs/sources/`CHANGELOG.md` file
- [ ] Modify documentation in the appropriate location under `mlxtend/docs/sources/`
- [ ] Push the topic branch to the server and create a pull request
- [ ] Check the Travis-CI build passed at https://travis-ci.org/rasbt/mlxtend
- [ ] Squash (many small) commits to a larger commit

For more information and instructions, please see http://rasbt.github.io/mlxtend/contributing/
